Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shoppingcart
Interface ShoppingCartLine

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  ShoppingCartLineImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface ShoppingCartLine

extends Belonging

This class combines a ProductItem, a Quantity and a Money object. The total price for the line is calculated using the getTotal() method, specifying the required total type.

See Also
  `ShoppingCartLineHome`, `ShoppingCart`

Method Summary
`Money` | `getBaseSavings()` Deprecated See BEA Commerce product offering
`Money` | `getBaseTotal()` Deprecated See BEA Commerce product offering
`Money` | `getDiscountedPrice()` Deprecated See BEA Commerce product offering
`ArrayList` | `getDiscountPresentations()` Deprecated See BEA Commerce product offering
`Money` | `getLineTotal(int totalType)` Deprecated See BEA Commerce product offering
`ProductItem` | `getProductItem()` Deprecated See BEA Commerce product offering
`double` | `getQuantity()` Deprecated See BEA Commerce product offering
`Money` | `getSavings()` Deprecated See BEA Commerce product offering
`Money` | `getShipping()` Deprecated See BEA Commerce product offering
`Money` | `getTax()` Deprecated See BEA Commerce product offering
`Money` | `getUnitPrice()` Deprecated See BEA Commerce product offering
`void` | `setDiscountedPrice(Money discountedPrice)` Deprecated See BEA Commerce product offering
`void` | `setDiscountPresentations(ArrayList discountPresentations)` Deprecated See BEA Commerce product offering
`void` | `setProductItem(ProductItem productItem)` Deprecated See BEA Commerce product offering
`void` | `setQuantity(double quantity)` Deprecated See BEA Commerce product offering
`void` | `setShipping(Money shipping)` Deprecated See BEA Commerce product offering
`void` | `setTax(Money tax)` Deprecated See BEA Commerce product offering
`void` | `setUnitPrice(Money unitPrice)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getUnitPrice

    Money getUnitPrice()

  Deprecated See BEA Commerce product offering

  Get the value of unitPrice

  Returns
    unitPrice.

### setUnitPrice

    void setUnitPrice(Money unitPrice)

  Deprecated See BEA Commerce product offering

  Set the value of unitPrice

  Parameters
    `unitPrice` - unitPrice to be set

### getTax

    Money getTax()

  Deprecated See BEA Commerce product offering

  Get the value of tax

  Returns
    tax.

### setTax

    void setTax(Money tax)

  Deprecated See BEA Commerce product offering

  Set the value of tax

  Parameters
    `tax` - tax to be set

### getShipping

    Money getShipping()

  Deprecated See BEA Commerce product offering

  Get the value of shipping

  Returns
    shipping.

### setShipping

    void setShipping(Money shipping)

  Deprecated See BEA Commerce product offering

  Set the value of shipping

  Parameters
    `shipping` - shipping to be set

### getQuantity

    double getQuantity()

  Deprecated See BEA Commerce product offering

  Get the quantity of the item

  Returns
    quantity.

### setQuantity

    void setQuantity(double quantity)

  Deprecated See BEA Commerce product offering

  Set the value of quantity

  Parameters
    `quantity` - quantity to be added

### getProductItem

    ProductItem getProductItem()

  Deprecated See BEA Commerce product offering

  Get the value of productItem

  Returns
    productItem.

### setProductItem

    void setProductItem(ProductItem productItem)

  Deprecated See BEA Commerce product offering

  Set the value of productItem

  Parameters
    `productItem` - productItem to be added

### getLineTotal

    Money getLineTotal(int totalType)
                       throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Gets the line total for the given total type. Valid values are one or more of :
  - LINE_UNIT_PRICE_TIMES_QUANTITY
  - LINE_SHIPPING
  - LINE_TAX
  These can be combined together using the OR operator '|' to get compound total types

  Parameters
    `total` - type
  Throws
    `InvalidArgumentException`

### getSavings

    Money getSavings()

  Deprecated See BEA Commerce product offering

  Get the savings on this line (savings is the quantity times (msrp - unit price))

  Returns
    savings.

### getBaseSavings

    Money getBaseSavings()

  Deprecated See BEA Commerce product offering

  Get the savings from the MSRP to the base unit price, exluding non-catalog discounts, i.e. quantity * (MSRP - Unit Price)

  Returns
    base savings

### getBaseTotal

    Money getBaseTotal()

  Deprecated See BEA Commerce product offering

  Get the total excluing non-catalog discounts, i.e. the quantity * unit price for this line

  Returns
    baseTotal

### getDiscountedPrice

    Money getDiscountedPrice()

  Deprecated See BEA Commerce product offering

  get the Discounted Price for the line

  Returns
    the price as discounted

### setDiscountedPrice

    void setDiscountedPrice(Money discountedPrice)

  Deprecated See BEA Commerce product offering

  Set the discount price for this line

  Parameters
    `discountedPrice,` - the price as discounted

### getDiscountPresentations

    ArrayList getDiscountPresentations()

  Deprecated See BEA Commerce product offering

  get the Discount Description Array list of the discounts that apply to a particular shopping cart line

  Returns
    an ArrayList of DiscountDescription objects

### setDiscountPresentations

    void setDiscountPresentations(ArrayList discountPresentations)

  Deprecated See BEA Commerce product offering

  Set the value of discount descriptions of the discounts that apply to a particular shopping cart line

  Parameters
    `discountPresentations,` - an ArrayList of Presentation objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved